The Joomla! Forum ™



Forum rules


Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.



Post new topic Reply to topic  [ 57 posts ]  Go to page 1, 2  Next
Author Message
PostPosted: Wed Oct 03, 2012 11:58 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Jul 26, 2012 11:49 pm
Posts: 28
I am getting these two error messages:
Code:
500 - JHtmlBehavior::mootools not found.


And this when I try to reinstall 3.0 on my Joomla to see if that would work
Code:
Warning

JFolder: :files: Path is not a folder. Path: /home/creaper/public_html/home/administrator/manifests/files/joomla/administrator/components/com_admin/sql/updates/mysql

Copy failed

JInstaller: :Install: Failed to copy file /home/creaper/public_html/home/tmp/install_506cd088f1bc6/administrator/components/com_admin/script.php to /home/creaper/public_html/home/administrator/manifests/files/joomla/administrator/components/com_admin/script.php

JLIB_INSTALLER_ABORT_PACKAGE_INSTALL_MANIFEST


Please help me. I didn't think this change would be that difficult. Luckily I tried it on my personal site before trying a clients.


Top
 Profile  
 
PostPosted: Thu Oct 04, 2012 12:29 pm 
User avatar
Joomla! Master
Joomla! Master

Joined: Wed Aug 17, 2005 10:27 pm
Posts: 14715
Location: Kent, England
Well you should not be using the 3.0 upgrade on a live site at the moment in any case, and it is always right to test new software properly on a development installation first of all and to always take backups.

Does the host server meet the minimum technical requirements for Joomla 3.0?
Please run the Forum Post Assistant to provide the information to help us try and resolve the issue.
Please follow the instructions in the post and the program pack closely.

The error message does not appear to have been translated properly however it occurs when an installation has failed and the changes are rolled back.

Is this an update of a 2.5.7 site or an earlier version?

I have reported the untranslated string here: http://joomlacode.org/gf/project/joomla ... m_id=29434

Does the database show the J3.0 update to have been (at least) partially installed?


Top
 Profile  
 
PostPosted: Thu Oct 04, 2012 1:06 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Jun 09, 2011 1:55 am
Posts: 10
You must replace the following line in the extension:

Code:
            JHtml::_('behavior.mootools');

AND
Code:
            JHtmlBehavior::mootools();


BY:

Code:
            JHtml::_('behavior.framework');


Top
 Profile  
 
PostPosted: Thu Oct 04, 2012 8:57 pm 
Joomla! Virtuoso
Joomla! Virtuoso

Joined: Sat Oct 01, 2011 7:06 pm
Posts: 4167
And run into the next problem!

Restore from backup and start a proper migration!


Top
 Profile  
 
PostPosted: Sun Nov 04, 2012 7:07 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Mar 12, 2009 12:26 am
Posts: 11
Is there any fix for this problem? I just run into the same issue after migrating from 2.5.7 to 3.0. I thought about rolling back but unfortunately I didn't keep backup. Please help.


Top
 Profile  
 
PostPosted: Sun Nov 04, 2012 9:16 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sun Nov 04, 2012 8:58 am
Posts: 1
Hello, I have exactly the same problem. I made J_3.0.0 installation. from the beginning, did not migrate from the previous version of Joomla. Although this is the same problem. JHtmlBehavior commands :: mootools (), and JHtml :: _ ('behavior.mootools') in my J300 version of the code is not found, due to the fact that the problem is located somewhere else. Is anyone able to find this place?

Error message is as follows:

JHtmlBehavior::mootools not found.
Call stack
# Function Location
1 JSite->dispatch() JROOT/index.php:52
2 JError::raiseError() JROOT/includes/application.php:216
3 JError::raise() JROOT/libraries/legacy/error/error.php:242

I will be required for any hint or indication of the final solution of the problem


Top
 Profile  
 
PostPosted: Fri Nov 16, 2012 4:51 pm 
User avatar
Joomla! Guru
Joomla! Guru

Joined: Wed Sep 07, 2005 10:18 pm
Posts: 617
Location: London
JHtml::_('behavior.framework'); - didnt fix it for me when trying to run xmap compoennt - all fine in the back end just the html version of sitemap complains. Have posted in Vargas' forum too.

_________________
Check out the 'bad toilet' online !


Top
 Profile  
 
PostPosted: Sun Nov 18, 2012 12:34 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sun Nov 18, 2012 12:30 am
Posts: 1
Yo tengo el mismo problema


Hello, I have exactly the same problem. I made J_3.0.0 installation. from the beginning, did not migrate from the previous version of Joomla. Although this is the same problem. JHtmlBehavior commands :: mootools (), and JHtml :: _ ('behavior.mootools') in my J300 version of the code is not found, due to the fact that the problem is located somewhere else. Is anyone able to find this place?

Error message is as follows:

JHtmlBehavior::mootools not found.
Call stack
# Function Location
1 JSite->dispatch() JROOT/index.php:52
2 JError::raiseError() JROOT/includes/application.php:216
3 JError::raise() JROOT/libraries/legacy/error/error.php:242

I will be required for any hint or indication of the final solution of the problem


Top
 Profile  
 
PostPosted: Mon Nov 19, 2012 11:25 am 
User avatar
Joomla! Guru
Joomla! Guru

Joined: Wed Sep 07, 2005 10:18 pm
Posts: 617
Location: London
What is the url or component where you get the error - can you provide a url ?

_________________
Check out the 'bad toilet' online !


Top
 Profile  
 
PostPosted: Tue Nov 20, 2012 4:54 am 
User avatar
Joomla! Ace
Joomla! Ace

Joined: Tue Apr 13, 2010 7:40 pm
Posts: 1070
Location: Iowa
Hi all,

Please try the latest 3.0.2.

Kind regards,
Nick

_________________
Online Joomla Training at: http://www.ostraining.com/online/

"God is most glorified in us, when we are most satisfied in Him" - http://www.desiringgod.org/


Top
 Profile  
 
PostPosted: Thu Jan 31, 2013 8:31 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Oct 18, 2006 12:59 pm
Posts: 21
found here:
http://wemast.ru/blog/30-xmap-na-joomla-3

just replace string 20 in the same file (for x-map component)

$ajaxurl = "{$live_site}index.php?option=com_xmap&format=json&task=ajax.editElement&action=toggleElement";

there problem with JUtility::getToken().


Top
 Profile  
 
PostPosted: Sat Mar 23, 2013 5:36 pm 
Joomla! Intern
Joomla! Intern

Joined: Thu Aug 23, 2012 5:46 pm
Posts: 61
I had problems with inserting pictures in gantry, so I upgraded. However, i chose the wrong update. I am running Joomla! 2.5.8 and I updated to Gantry 4.1.8 rocketlauncher_j30. I realize now that it was the wrong update. I am getting an error 500 - mootools not found now when i try to preview my site.

Any ideas of how to correct this? Nick Savov? Do you recommend I upgrade my Joomla!. I have read elsewhere on the forum that you shouldn't be running Joomla! 3.0 on a live site.

Thanks for any feedback.


Top
 Profile  
 
PostPosted: Thu Apr 04, 2013 2:45 pm 
User avatar
Joomla! Master
Joomla! Master

Joined: Mon Aug 29, 2005 10:17 am
Posts: 13796
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
donna62665 wrote:
Any ideas of how to correct this?
Roll back with the backup of your site, than install the correct version.
Quote:
I have read elsewhere on the forum that you shouldn't be running Joomla! 3.0 on a live site.
Outdated information. See here how to update properly: viewtopic.php?f=710&t=793171

Leo 8)

_________________
-- Joomla Professional Support Services : http://gws-desk.com --
-- Good & Cheap Joomla Sites Ready To Roll : http://gws-deals.today --
-- Joomla Specialized Hosting Solutions : www.gws-host.com --
-- Member Joomla Bug Squad --


Top
 Profile  
 
PostPosted: Fri May 24, 2013 6:24 am 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Mar 02, 2008 11:08 am
Posts: 17
Location: Cape Town, South Africa
I have also got this error.

I tried to upgrade a 2.5.11 Joomla site to the latest 3.1.1 version using the one click upgrade option. Most of the extensions are compatible but now I cannot access the site at all. I do have a backup so nothing is lost but I still want to upgrade the Joomla version so would like to know what the solution is. My WAMP Environment is suitable so it isn't that.

Any one with a solution?

_________________
Ross Bartholomew
Please read the Forum rules regarding signatures: viewtopic.php?t=65


Top
 Profile  
 
PostPosted: Fri May 24, 2013 6:42 am 
User avatar
Joomla! Master
Joomla! Master

Joined: Mon Aug 29, 2005 10:17 am
Posts: 13796
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Before you (mini) migrated you should have checked which components/templates/modules/plugins were installed and if they were compatible. Issue is simple that you still had some that is not compatible.

You need to roll back (use the backup) and check especially the plugins. Make sure that the extensions you have and which are compatible have latest version installed before making the move. Those which are not compatible need to be uninstalled (!) before making the upgrade. Than afterwards upload the actual 3.x version for that extension again

Leo 8)

_________________
-- Joomla Professional Support Services : http://gws-desk.com --
-- Good & Cheap Joomla Sites Ready To Roll : http://gws-deals.today --
-- Joomla Specialized Hosting Solutions : www.gws-host.com --
-- Member Joomla Bug Squad --


Top
 Profile  
 
PostPosted: Fri May 24, 2013 11:00 am 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Mar 02, 2008 11:08 am
Posts: 17
Location: Cape Town, South Africa
Thank you very much for that. I have tried it a number of times now after uninstalling many plugins but still not working so I will carry on until it does. Thanks again.

_________________
Ross Bartholomew
Please read the Forum rules regarding signatures: viewtopic.php?t=65


Top
 Profile  
 
PostPosted: Fri May 24, 2013 11:21 am 
User avatar
Joomla! Master
Joomla! Master

Joined: Mon Aug 29, 2005 10:17 am
Posts: 13796
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Ross,
Post this please
viewtopic.php?f=621&t=582860

Leo 8)

_________________
-- Joomla Professional Support Services : http://gws-desk.com --
-- Good & Cheap Joomla Sites Ready To Roll : http://gws-deals.today --
-- Joomla Specialized Hosting Solutions : www.gws-host.com --
-- Member Joomla Bug Squad --


Top
 Profile  
 
PostPosted: Sat May 25, 2013 12:14 pm 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Mar 02, 2008 11:08 am
Posts: 17
Location: Cape Town, South Africa
Forum Post Assistant (v1.2.3) : 25th May 2013 wrote:
Basic Environment :: wrote:
Joomla! Instance :: Joomla! 3.1.1-Stable (Ember) 26-April-2013
Joomla! Platform :: Joomla Platform 12.2.0-Stable (Neil Armstrong) 21-September-2012
Joomla! Configured :: Yes | Writable (666) | Owner: 0 (uid: /gid: ) | Group: 0 (gid: ) | Valid For: 3.1
Configuration Options :: Offline: 0 | SEF: 1 | SEF Suffix: 1 | SEF ReWrite: 1 | .htaccess/web.config: Yes | GZip: 0 | Cache: 0 | FTP Layer: 0 | SSL: 0 | Error Reporting: default | Site Debug: 0 | Language Debug: 0 | Default Access: 1 | Unicode Slugs: 0 | Database Credentials Present: Yes

Host Configuration :: OS: Windows NT | OS Version: 6.1 | Technology: AMD64 | Web Server: Apache/2.2.21 (Win64) PHP/5.3.8 | Encoding: gzip, deflate | Doc Root: D:/wamp/www | System TMP Writable: Yes

PHP Configuration :: Version: 5.3.8 | PHP API: apache2handler | Session Path Writable: Yes | Display Errors: | Error Reporting: 30719 | Log Errors To: | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Open Base: | Uploads: 1 | Max. Upload Size: 64M | Max. POST Size: 64M | Max. Input Time: 60 | Max. Execution Time: 60 | Memory Limit: 128M

MySQL Configuration :: Version: 5.5.16-log (Client:mysqlnd 5.0.8-dev - 20102224 - $Revision: 310735 $) | Host: --protected-- (--protected--) | Collation: utf8_general_ci (Character Set: utf8) | Database Size: 42.30 MiB | #of Tables: 138
Detailed Environment :: wrote:
PHP Extensions :: Core (5.3.8) | bcmath () | calendar () | com_dotnet (0.1) | ctype () | date (5.3.8) | ereg () | filter (0.11.0) | ftp () | hash (1.0) | iconv () | json (1.2.1) | mcrypt () | SPL (0.2) | odbc (1.0) | pcre () | Reflection ($Revision: 313665 $) | session () | standard (5.3.8) | mysqlnd (mysqlnd 5.0.8-dev - 20102224 - $Revision: 310735 $) | tokenizer (0.1) | zip (1.9.1) | zlib (1.1) | libxml () | dom (20031129) | PDO (1.0.4dev) | openssl () | SimpleXML (0.1) | wddx () | xml () | xmlreader (0.1) | xmlwriter (0.1) | apache2handler () | curl () | fileinfo (1.0.5-dev) | gd () | mbstring () | mysql (1.0) | mysqli (0.1) | Phar (2.0.1) | pdo_mysql (1.0.2) | pdo_sqlite (1.0.1) | soap () | SQLite (2.0-dev) | tidy (2.0) | xmlrpc (0.51) | xsl (0.1) | mhash () | xdebug (2.1.2) | Zend Engine (2.3.0) |
Potential Missing Extensions :: suhosin |

Switch User Environment (Experimental) :: PHP CGI: No | Server SU: No | PHP SU: No | Custom SU (LiteSpeed/Cloud/Grid): Yes
Potential Ownership Issues: No

Apache Modules :: core | mod_win32 | mpm_winnt | http_core | mod_so | mod_actions | mod_alias | mod_asis | mod_auth_basic | mod_authn_default | mod_authn_file | mod_authz_default | mod_authz_groupfile | mod_authz_host | mod_authz_user | mod_autoindex | mod_cgi | mod_dir | mod_env | mod_include | mod_isapi | mod_log_config | mod_mime | mod_negotiation | mod_rewrite | mod_setenvif | mod_php5 | Apache/2.2.21 (Win64) PHP/5.3.8 |
Potential Missing Modules :: mod_expires | mod_deflate | mod_security | mod_evasive | mod_dosevasive | mod_ssl | mod_qos | mod_userdir |
Folder Permissions :: wrote:
Core Folders :: images/ (777) | components/ (777) | modules/ (777) | plugins/ (777) | language/ (777) | templates/ (777) | cache/ (777) | logs/ (777) | tmp/ (777) | administrator/components/ (777) | administrator/modules/ (777) | administrator/language/ (777) | administrator/templates/ (777) |

Elevated Permissions (First 10) :: administrator/ (777) | administrator/cache/ (777) | administrator/components/ (777) | administrator/components/com_acymailing/ (777) | administrator/components/com_acymailing/buttons/ (777) | administrator/components/com_acymailing/classes/ (777) | administrator/components/com_acymailing/compat/ (777) | administrator/components/com_acymailing/controllers/ (777) | administrator/components/com_acymailing/extensions/ (777) | administrator/components/com_acymailing/extensions/mod_acymailing/ (777) |
Extensions Discovered :: wrote:
Components :: SITE :: WF_AGGREGATOR_GOOGLEMAPS_TITLE (2.3.2.4) | WF_AGGREGATOR_VIMEO_TITLE (2.3.2.4) | [youtube] (2.3.2.4) | WF_FILESYSTEM_JOOMLA_TITLE (2.3.2.4) | WF_LINKS_JOOMLALINKS_TITLE (2.3.2.4) | WF_MEDIAPLAYER_JCEPLAYER_TITLE (2.3.2.4) | WF_POPUPS_JCEMEDIABOX_TITLE (2.3.2.4) | WF_POPUPS_WINDOW_TITLE (2.3.2.4) | WF_LINK_SEARCH_TITLE (2.3.2.4) | WF_ANCHOR_TITLE (2.3.2.4) | WF_ARTICLE_TITLE (2.3.2.4) | WF_AUTOSAVE_TITLE (2.3.2.4) | WF_BROWSER_TITLE (2.3.2.4) | WF_CHARMAP_TITLE (2.3.2.4) | WF_CLEANUP_TITLE (2.3.2.4) | WF_CLIPBOARD_TITLE (2.3.2.4) | WF_CONTEXTMENU_TITLE (2.3.2.4) | WF_DIRECTIONALITY_TITLE (2.3.2.4) | WF_FULLSCREEN_TITLE (2.3.2.4) | WF_IMGMANAGER_TITLE (2.3.2.4) | WF_IMGMANAGER_EXT_TITLE (2.0.16) | WF_INLINEPOPUPS_TITLE (2.3.2.4) | [Do not buy our kitchens!] (2.3.2.4) | WF_LAYER_TITLE (2.3.2.4) | WF_LINK_TITLE (2.3.2.4) | WF_LISTS_TITLE (2.3.2.4) | WF_MEDIA_TITLE (2.3.2.4) | WF_MEDIAMANAGER_TITLE (2.0.11) | WF_NONBREAKING_TITLE (2.3.2.4) | WF_PREVIEW_TITLE (2.3.2.4) | WF_PRINT_TITLE (2.3.2.4) | WF_SEARCHREPLACE_TITLE (2.3.2.4) | WF_SOURCE_TITLE (2.3.2.4) | WF_SPELLCHECKER_TITLE (2.3.2.4) | WF_STYLE_TITLE (2.3.2.4) | WF_TABLE_TITLE (2.3.2.4) | WF_TEXTCASE_TITLE (2.3.2.4) | WF_VISUALBLOCKS_TITLE (2.3.2.4) | WF_VISUALCHARS_TITLE (2.3.2.4) | WF_XHTMLXTRAS_TITLE (2.3.2.4) | com_mailto (3.0.0) | Revolution (3.6.2) | Centrifuge (3.6.1) | Chameleon (3.6.2) | Glass (3.6.1) | Laces (3.6.2) | Mobit (3.6.1) | Revolution (3.6.2) | Seattle (3.6.1) | com_wrapper (3.0.0) |
Components :: ADMIN :: AcyMailing (4.2.0) | AcyMailing Module (3.7.0) | AcyMailing : trigger Joomla Co (3.7.0) | AcyMailing Manage text (1.0.0) | AcyMailing Tag : Website links (3.7.0) | AcyMailing : share on social n (1.0.0) | AcyMailing : Statistics Plugin (3.7.0) | AcyMailing table of contents g (1.0.0) | AcyMailing Tag : CB User infor (3.7.0) | AcyMailing Tag : content inser (3.7.0) | AcyMailing Tag : Insert a Modu (4.2.0) | AcyMailing Tag : Subscriber in (4.2.0) | AcyMailing Tag : Manage the Su (4.2.0) | AcyMailing Tag : Date / Time (4.2.0) | AcyMailing Tag : Joomla User I (4.2.0) | AcyMailing Template Class Repl (4.2.0) | AcyMailing : Handle Click trac (4.2.0) | AcyMailing Tag : VirtueMart in (4.2.0) | AcyMailing Editor (beta) (4.2.0) | AcyMailing : Handle Click trac (4.2.0) | AcyMailing : (auto)Subscribe d (4.2.0) | com_admin (3.0.0) | Admintools (2.5.5) | com_advancedmodules (4.4.6PRO) | Akeeba (3.7.7) | com_banners (3.0.0) | com_cache (3.0.0) | com_categories (3.0.0) | com_checkin (3.0.0) | com_config (3.0.0) | com_content (3.0.0) | com_cpanel (3.0.0) | com_finder (3.0.0) | com_installer (3.0.0) | JCE (2.3.2.4) | Unknown (-) | com_joomlaupdate (3.0.0) | com_languages (3.0.0) | com_login (3.0.0) | com_media (3.0.0) | com_menus (3.0.0) | com_messages (3.0.0) | com_modules (3.0.0) | com_newsfeeds (3.0.0) | Unknown (-) | COM_NONUMBERMANAGER (4.1.7) | com_plugins (3.0.0) | COM_PREACHIT (3.6.15) | com_redirect (3.0.0) | RSForm! (1.4.0 R45) | com_search (3.0.0) | com_tags (3.1.0) | com_templates (3.0.0) | com_users (3.0.0) | com_weblinks (3.0.0) |

Modules :: SITE :: AcyMailing Module (3.7.0) | mod_articles_archive (3.0.0) | mod_articles_categories (3.0.0) | mod_articles_category (3.0.0) | mod_articles_latest (3.0.0) | mod_articles_news (3.0.0) | mod_articles_popular (3.0.0) | mod_banners (3.0.0) | mod_breadcrumbs (3.0.0) | mod_custom (3.0.0) | mod_feed (3.0.0) | mod_finder (3.0.0) | mod_footer (3.0.0) | mod_languages (3.0.0) | mod_login (3.0.0) | mod_menu (3.0.0) | mod_piadmin (3.6.2) | mod_pimediaplayer (3.6.2) | mod_piseries (3.6.1) | mod_pisidebar (3.6.1) | mod_pitags (3.6.1) | mod_piteachers (3.6.1) | Preachit Message Module (3.0.2) | mod_random_image (3.0.0) | mod_related_items (3.0.0) | mod_search (3.0.0) | mod_stats (3.0.0) | mod_syndicate (3.0.0) | mod_tags_popular (3.1.0) | mod_tags_similar (3.1.0) | mod_users_latest (3.0.0) | VS Image Rotator (1.0.1) | mod_weblinks (3.0.0) | mod_whosonline (3.0.0) | mod_wrapper (3.0.0) |
Modules :: ADMIN :: MOD_AKADMIN_TITLE (3.7.7) | Admin Tools Joomla! Upgrade No (2.5.5) | MOD_BETTERPREVIEW (2.2.3PRO) | MOD_CACHECLEANER (3.1.5PRO) | mod_custom (3.0.0) | mod_feed (3.0.0) | mod_latest (3.0.0) | mod_logged (3.0.0) | mod_login (3.0.0) | mod_menu (3.0.0) | mod_multilangstatus (3.0.0) | mod_popular (3.0.0) | mod_quickicon (3.0.0) | mod_stats_admin (3.0.0) | mod_status (3.0.0) | mod_submenu (3.0.0) | mod_title (3.0.0) | mod_toolbar (3.0.0) | mod_version (3.0.0) |

Plugins :: SITE :: AcyMailing : trigger Joomla Co (3.7.0) | AcyMailing Manage text (1.0.0) | AcyMailing Tag : Website links (3.7.0) | AcyMailing : share on social n (1.0.0) | AcyMailing : Statistics Plugin (3.7.0) | AcyMailing table of contents g (1.0.0) | AcyMailing Tag : CB User infor (3.7.0) | AcyMailing Tag : content inser (3.7.0) | AcyMailing Tag : Insert a Modu (4.2.0) | AcyMailing Tag : Subscriber in (4.2.0) | AcyMailing Tag : Manage the Su (4.2.0) | AcyMailing Tag : Date / Time (4.2.0) | AcyMailing Tag : Joomla User I (4.2.0) | AcyMailing Template Class Repl (4.2.0) | AcyMailing : Handle Click trac (4.2.0) | AcyMailing Tag : VirtueMart in (4.2.0) | plg_authentication_gmail (3.0.0) | plg_authentication_joomla (3.0.0) | plg_authentication_ldap (3.0.0) | plg_captcha_recaptcha (3.0.0) | plg_content_emailcloak (3.0.0) | plg_content_finder (3.0.0) | plg_content_geshi (2.5.0) | plg_content_joomla (3.0.0) | plg_content_loadmodule (3.0.0) | plg_content_pagebreak (3.0.0) | plg_content_pagenavigation (3.0.0) | plg_content_preachit (3.6.2) | plg_content_vote (3.0.0) | AcyMailing Editor (beta) (4.2.0) | plg_editors_codemirror (1.0) | plg_editors_jce (2.3.2.4) | plg_editors_tinymce (3.5.6) | plg_editors-xtd_article (3.0.0) | PLG_EDITORS-XTD_ARTICLESANYWHE (3.1.5PRO) | plg_editors-xtd_image (3.0.0) | PLG_EDITORS-XTD_MODULESANYWHER (3.2.3PRO) | plg_editors-xtd_pagebreak (3.0.0) | plg_editors-xtd_preachit (3.6.1) | plg_editors-xtd_readmore (3.0.0) | PLG_EDITORS-XTD_SLIDERS (3.1.3PRO) | PLG_EDITORS-XTD_TABS (3.1.3PRO) | plg_extension_joomla (3.0.0) | plg_finder_categories (3.0.0) | plg_finder_contacts (3.0.0) | plg_finder_content (3.0.0) | plg_finder_newsfeeds (3.0.0) | plg_finder_preachit (3.6.3) | plg_finder_tags (3.0.0) | plg_finder_weblinks (3.0.0) | PLG_JMONITORING_AKEEBABACKUP_T (1.0) | plg_quickicon_akeebabackup (1.0) | plg_quickicon_atoolsjupdateche (1.0) | plg_quickicon_extensionupdate (3.0.0) | plg_quickicon_jcefilebrowser (2.3.2.4) | plg_quickicon_joomlaupdate (3.0.0) | plg_search_categories (3.0.0) | plg_search_contacts (3.0.0) | plg_search_content (3.0.0) | plg_search_newsfeeds (3.0.0) | plg_search_preachit (3.6.3) | plg_search_weblinks (3.0.0) | AcyMailing : Handle Click trac (4.2.0) | System - Admin Tools (2.5.5) | PLG_SYSTEM_ADVANCEDMODULES (4.4.6PRO) | PLG_SYSTEM_AKEEBAUPDATECHECK_T (1.1) | PLG_SYSTEM_AKLAZY_TITLE (3.7.GOODBYE) | PLG_SYSTEM_ARTICLESANYWHERE (3.1.5PRO) | System - Joomla! Update Email (1.0) | System - Admin Tools Update Em (1.0) | PLG_SYSTEM_BETTERPREVIEW (2.2.3PRO) | plg_system_cache (3.0.0) | PLG_SYSTEM_CACHECLEANER (3.1.5PRO) | plg_system_debug (3.0.0) | plg_system_highlight (3.0.0) | System - JCE MediaBox (1.1.9) | plg_system_languagecode (3.0.0) | plg_system_languagefilter (3.0.0) | plg_system_log (3.0.0) | plg_system_logout (3.0.0) | PLG_SYSTEM_MODULESANYWHERE (3.2.3PRO) | PLG_SYSTEM_NNFRAMEWORK (13.5.3) | System - One Click Action (2.1) | plg_system_p3p (3.0.0) | plg_system_pipodupdater (3.6.1) | plg_system_redirect (3.0.0) | AcyMailing : (auto)Subscribe d (4.2.0) | plg_system_remember (3.0.0) | plg_system_sef (3.0.0) | PLG_SYSTEM_SLIDERS (3.1.3PRO) | PLG_SRP_TITLE (3.7.7) | PLG_SYSTEM_TABS (3.1.3PRO) | plg_user_contactcreator (3.0.0) | plg_user_joomla (3.0.0) | plg_user_profile (3.0.0) |
Templates Discovered :: wrote:
Templates :: SITE :: atomic (2.5.0) | beez3 (3.1.0) | beez5 (2.5.0) | beez_20 (2.5.0) | protostar (1.0) | Stmatthews25 (2) | StMatthewsChildren (1.5) | StMatthewsYouth (1.6) |
Templates :: ADMIN :: bluestork (2.5.0) | hathor (3.0.0) | isis (1.0) |

_________________
Ross Bartholomew
Please read the Forum rules regarding signatures: viewtopic.php?t=65


Top
 Profile  
 
PostPosted: Sat May 25, 2013 2:01 pm 
User avatar
Joomla! Master
Joomla! Master

Joined: Mon Aug 29, 2005 10:17 am
Posts: 13796
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Ross,
I have not yet looked at anything else but see this message and need to react quick.

IMMEDIATELY change all folders to permissions "755" and all files to "644" If not you will be hacked in the next second/minutes/hours/day for 100% sure. "777' is FORBIDDEN See http://docs.joomla.org/How_do_UNIX_file ... ns_work%3F

I will than follow up with a check on your plugins: CHANGE NOW!

Leo 8)

_________________
-- Joomla Professional Support Services : http://gws-desk.com --
-- Good & Cheap Joomla Sites Ready To Roll : http://gws-deals.today --
-- Joomla Specialized Hosting Solutions : www.gws-host.com --
-- Member Joomla Bug Squad --


Top
 Profile  
 
PostPosted: Sat May 25, 2013 2:36 pm 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Mar 02, 2008 11:08 am
Posts: 17
Location: Cape Town, South Africa
This is still on a dev environment on my local machine.

_________________
Ross Bartholomew
Please read the Forum rules regarding signatures: viewtopic.php?t=65


Top
 Profile  
 
PostPosted: Sat May 25, 2013 3:05 pm 
User avatar
Joomla! Master
Joomla! Master

Joined: Mon Aug 29, 2005 10:17 am
Posts: 13796
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
That is the good news...Phew! Will have a look at FPA shortly

Leo 8)

_________________
-- Joomla Professional Support Services : http://gws-desk.com --
-- Good & Cheap Joomla Sites Ready To Roll : http://gws-deals.today --
-- Joomla Specialized Hosting Solutions : www.gws-host.com --
-- Member Joomla Bug Squad --


Top
 Profile  
 
PostPosted: Sat Jun 08, 2013 8:26 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Tue May 12, 2009 12:20 am
Posts: 21
This is not any "stable" release of 3.1.1

BEWARE of upgrading from 2.5.11 to:
5 - Production/Stable Joomla_3.1.x_to_3.1.1-Stable-Patch_Package.zip 145.71 Kb 16302

You'll get the infamous Error displaying the error page: JHtmlBehavior::mootools not found.


Top
 Profile  
 
PostPosted: Tue Jul 02, 2013 2:37 pm 
User avatar
Joomla! Intern
Joomla! Intern

Joined: Sat Nov 25, 2006 4:41 pm
Posts: 57
Location: Corona, Ca
Fixed my issues with the 500 based on NoNumbers. But now I'm getting another error that should be posted somewhere else.


Top
 Profile  
 
PostPosted: Fri Aug 16, 2013 10:41 am 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Jan 19, 2012 5:09 am
Posts: 46
Location: Dallas, TX
IPN wrote:
This is not any "stable" release of 3.1.1

BEWARE of upgrading from 2.5.11 to:
5 - Production/Stable Joomla_3.1.x_to_3.1.1-Stable-Patch_Package.zip 145.71 Kb 16302

You'll get the infamous Error displaying the error page: JHtmlBehavior::mootools not found.

WHAT??? I have been fighting with this for an entire day trying to use the "one click" update to upgrade from J2.5 to J3.1.

How do you upgrade successfully if you do NOT use this method?

Thanks!


Top
 Profile  
 
PostPosted: Fri Aug 16, 2013 11:34 am 
Joomla! Virtuoso
Joomla! Virtuoso

Joined: Sat Oct 01, 2011 7:06 pm
Posts: 4167
You are only going to be succesfull when you realize that upgrading Joomla from J2.5 is only part of the migration of your website. It is simply two different things. Updating Joomla is just one of the steps you have to do. Each extension and override needs to be taken care of.


Top
 Profile  
 
PostPosted: Fri Aug 16, 2013 11:48 am 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Jan 19, 2012 5:09 am
Posts: 46
Location: Dallas, TX
sovainfo wrote:
You are only going to be succesfull when you realize that upgrading Joomla from J2.5 is only part of the migration of your website. It is simply two different things. Updating Joomla is just one of the steps you have to do. Each extension and override needs to be taken care of.

I understand. I have uninstalled nearly every extension on my site. I can't identify any more that are not *known* to be J3 compatible.

The last one was my template. It is a YooTheme template that is supposed to be J3 compatible. Once I uninstalled that, the admin page won't load at all. It is just white without even the debug info available. However, at least this same error isn't coming up!


Top
 Profile  
 
PostPosted: Fri Aug 16, 2013 11:55 am 
Joomla! Virtuoso
Joomla! Virtuoso

Joined: Sat Oct 01, 2011 7:06 pm
Posts: 4167
Maybe you can start your own thread. There is a situation where migrating to J3.0.0 first resolved the issue. You might try that.


Top
 Profile  
 
PostPosted: Fri Aug 16, 2013 12:04 pm 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Jan 19, 2012 5:09 am
Posts: 46
Location: Dallas, TX
sovainfo wrote:
Maybe you can start your own thread. There is a situation where migrating to J3.0.0 first resolved the issue. You might try that.

Yes, I agree. I wasn't trying to hijack this. At first it seemed like the same issue, but as we talk more perhaps it is not.

I will try the --> 3.0 first.

Thanks!


Top
 Profile  
 
PostPosted: Fri Aug 16, 2013 12:20 pm 
User avatar
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Jan 19, 2012 5:09 am
Posts: 46
Location: Dallas, TX
Trying v3.0 to upgrade too results in same issue. I will start a new thread.

Thanks!


Top
 Profile  
 
PostPosted: Sun Feb 09, 2014 10:47 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Jul 28, 2013 8:29 am
Posts: 27
I've backup joomla! 2.5, and started to migrate joomla! 3.2.1.
The upgrade was successful, but template does not work, why?
I get the following error:
Code:
500 - JHtmlBehavior::mootools not found.

_________________
tobaccomalas.org


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 57 posts ]  Go to page 1, 2  Next



Who is online

Users browsing this forum: No registered users and 25 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group